package com.zh.project0512.conf;

import io.swagger.v3.oas.models.ExternalDocumentation;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import io.swagger.v3.oas.models.info.License;
import org.springdoc.core.GroupedOpenApi;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * SpringDoc API文档相关配置
 * Created by macro on 2022/3/4.
 */
@Configuration
public class SpringDocConfig {
    @Bean
    public OpenAPI mallTinyOpenAPI() {
        return new OpenAPI()
            .info(new Info().title("springDoc API"));
    }

    @Bean
    public GroupedOpenApi manageApi() {
        return GroupedOpenApi.builder()
            .group("manage")
            .pathsToMatch("/**")
            .build();
    }

    @Bean
    public GroupedOpenApi wxAppApi() {
        return GroupedOpenApi.builder()
            .group("wxApp")
            .pathsToMatch("/wxApp/**")
            .build();
    }
}
