package com.zh.project0512.controller.wxApp;

import com.zh.project0512.model.dto.RankListDTO;
import com.zh.project0512.model.vo.RankListVo;
import com.zh.project0512.service.IRankService;
import com.zh.project0512.utils.result.ResultList;
import com.zh.project0512.utils.result.ResultPageInfo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * 首页排行榜
 */
@Tag(name = "首页")
@RestController
@RequestMapping("/wxApp/rank")
public class RankController {
    @Resource
    IRankService rankService;

    /**
     * 查询排行榜列表
     * @param rankListDTO 排行列表DTO
     * @return 排行榜列表
     */
    @Operation(summary = "排行列表")
    @PostMapping("/list")
    public ResultPageInfo<RankListVo> rankList(@Validated @RequestBody RankListDTO rankListDTO){
        return ResultPageInfo.success(rankService.rankList(rankListDTO),"请求成功");
    }


}
