package com.zh.project0512.controller.wxApp;


import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.zh.project0512.model.ReferenceGroup;
import com.zh.project0512.service.IReferenceGroupService;
import com.zh.project0512.utils.MybatisPlusUtil;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zh
 * @since 2022-05-24
 */
@Validated
@RestController
@RequestMapping("/wxApp/referenceGroup")
@Tag(name = "素材分组")
public class ReferenceGroupUController {
    @Autowired
    private IReferenceGroupService referenceGroupService;

    @Operation(summary = "分组列表")
    @PostMapping("/list")
    public Result list(@RequestBody(required = false) @Parameter(hidden = true) JSONObject obj) {
        QueryWrapper<ReferenceGroup> qw = new QueryWrapper<>();
        qw.orderByAsc("sortWeight").orderByDesc("updateAt","creatAt");
        return Result.success(referenceGroupService.pageMaps(MybatisPlusUtil.SetPage(obj),qw));
    }
}
