package com.zh.project0512.controller.wxApp;


import com.alibaba.fastjson.JSONObject;
import com.zh.project0512.model.Tag;
import com.zh.project0512.service.ITagService;
import com.zh.project0512.utils.MybatisPlusUtil;
import com.zh.project0512.utils.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;


/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author zh
 * @since 2022-05-22
 */

@RestController
@RequestMapping("/wxApp/tag")
public class TagUController {
    @Autowired
    private ITagService tagService;

    @Operation(summary = "标签列表")
    @PostMapping("/list")
    public Result list(@RequestBody(required = false) JSONObject obj) {
        return Result.success(tagService.pageMaps(MybatisPlusUtil.SetPage(obj)));
    }
}
