package com.zh.project0512.mapper;

import com.zh.project0512.model.Brand;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
public interface BrandMapper extends BaseMapper<Brand> {
    @Update("update brand set sortWeight = sortWeight + 1;\n" +
    "insert into brand ( name, creatAt,sortWeight) VALUES ( #{name}, #{creatAt},1 );")
    void addBrand(Brand brand);
    @Update("<script>" +
        "update brand set sortWeight = -1 where sortWeight = #{origin};\n" +
        "<if test='originHigherCurrent'> " +
        "update brand set sortWeight = sortWeight + 1 where sortWeight &gt;= #{current} and sortWeight &lt; #{origin};"+
        "</if>" +
        "<if test='!originHigherCurrent'> " +
        "update brand set sortWeight = sortWeight - 1 where sortWeight &gt; #{origin} and sortWeight &lt;= #{current};\n" +
        "</if>" +
        "update brand set sortWeight = #{current} where sortWeight = -1;" +
        "</script>")
    void updSort(int origin, int current, boolean originHigherCurrent);
}
