package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.CustomerActionNote;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zh.project0512.model.Reference;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-30
 */
public interface CustomerActionNoteMapper extends BaseMapper<CustomerActionNote> {
    @Select("<script> " +
        "select t1.*,t2.name as provideName,t3.title as taskTitle\n" +
        "from customerActionNote as t1\n" +
        "LEFT JOIN user as t2 on t1.provideId = t2.id\n" +
        "LEFT JOIN task as t3 on t1.taskId = t3.id\n"+
        "<if test='openid!=null'>where t2.openid =#{openid} </if>" +

        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +

        "order by t1.creatAt desc"+
        "</script>")
    IPage<Map> pageList(IPage page,String openid, @Param("ew") Wrapper<CustomerActionNote> queryWrapper);
}
