package com.zh.project0512.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zh.project0512.model.Reference;
import com.zh.project0512.model.Task;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.*;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author zh
 * @since 2022-05-21
 */
public interface TaskMapper extends BaseMapper<Task> {
    @Insert("insert into task (title,subtitle,start,end) values (#{title},#{subtitle},#{start},#{end})")
    int add(Task task);
    @Select("<script>" +
        "SELECT t1.id " +
        "from task t1 " +
        "WHERE t1.id "+

        "<if test='tagIdList !=null and tagIdList.size()!=0'> " +
        "and t1.id in (SELECT taskId from taskTag WHERE taskTag.tagId in " +
        "<foreach collection='tagIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='brandIdList !=null and brandIdList.size()!=0'> " +
        "and t1.id in (SELECT taskId from taskBrand WHERE taskBrand.brandId in " +
        "<foreach collection='brandIdList' index='index' item='item' open='(' separator=',' close=')'>#{item}</foreach> " +
        ")" +
        "</if>" +

        "<if test='ew != null'>" +
        "<if test='ew.nonEmptyOfWhere'>" +
        "AND " +
        "</if> " +
        "${ew.SqlSegment}" +
        "</if> " +

        "ORDER BY t1.updateAt DESC,t1.creatAt DESC" +
        "</script>")
    IPage<Integer> idList(IPage iPage, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    List<Map> list(String openid,List<Integer> list, List<Integer> tagIdList, List<Integer> brandIdList, @Param("ew") Wrapper<Reference> queryWrapper);
    Task detailById(String openid,int id);
}
