package com.zh.project0512.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author zh
 * @since 2022-05-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("topicActivity")
@Schema
public class TopicActivity extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @Schema(title = "标题")
    private String title;

    /**
     * 类型:1视频；2图片；3文章
     */
    @Schema(title = "类型",description = "1视频；2图片；3文章")
    private Integer type;

    /**
     * 内容
     */
    @Schema(title = "内容")
    private String content;

    /**
     * 封面
     */
    @Schema(title = "封面")
    private String cover;

    /**
     * 播放次数
     */
    @Schema(title = "播放次数")
    @TableField("playNum")
    private Integer playNum;

    @TableField("creatAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime creatAt;

    @TableField("updateAt")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime updateAt;


}
