package com.zh.project0512.model.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 排行列表DTO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class RankListDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 当前页数
     */
    @Schema(title = "当前页数")
    @NotNull(message = "当前页数不能为空")
    private int pageNum;
    /**
     * 每页记录数
     */
    @Schema(title = "每页记录数")
    @NotNull(message = "每页记录数不能为空")
    private int size;
    /**
     * 类型：1.经销商，2.员工
     */
    @Schema(title = "排行榜类型")
    @NotNull(message = "排行榜类型不能为空")
    private int type;
}
